# Generated by Django 3.2.24 on 2024-04-22 21:18

from django.db import migrations

from core.utils import insert_role_right_for_system, remove_role_right_for_system

IMIS_ADMIN_ROLE_IS_SYSTEM = 64

gql_query_tickets_perms = 127000
gql_query_comments_perms = 127004
gql_mutation_create_tickets_perms = 127001
gql_mutation_update_tickets_perms = 127002
gql_mutation_delete_tickets_perms = 127003
gql_mutation_create_comment_perms = 127005



def add_rights(apps, schema_editor):
    """
    Add subscription CRUD permission to the IMIS Administrator.
    """
    insert_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_query_tickets_perms, apps)
    insert_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_query_comments_perms, apps)
    insert_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_create_tickets_perms, apps)
    insert_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_update_tickets_perms, apps)
    insert_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_delete_tickets_perms, apps)
    insert_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_create_comment_perms, apps)


def remove_rights(apps, schema_editor):
    """
    Remove subscription CRUD permissions to the IMIS Administrator.
    """
    remove_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_query_tickets_perms, apps)
    remove_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_query_comments_perms, apps)
    remove_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_create_tickets_perms, apps)
    remove_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_update_tickets_perms, apps)
    remove_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_delete_tickets_perms, apps)
    remove_role_right_for_system(IMIS_ADMIN_ROLE_IS_SYSTEM, gql_mutation_create_comment_perms, apps)


class Migration(migrations.Migration):


    dependencies = [
        ('grievance_social_protection', '0013_auto_20240422_2108'),
    ]

    operations = [
        migrations.RunPython(add_rights, remove_rights),
    ]
